Package org.eclipse.jface.text

## Class DocumentRewriteSession

- java.lang.Object
- - org.eclipse.jface.text.DocumentRewriteSession

    public class DocumentRewriteSession
    extends Object

A document rewrite session.

Since:
  3.1
See Also:
  `IDocument`, `IDocumentExtension4`, `IDocumentRewriteSessionListener`

### Constructor Summary

Constructors
`protected` `DocumentRewriteSession​(DocumentRewriteSessionType sessionType)` Prohibit package external object creation.

### Method Summary

All Methods Instance Methods Concrete Methods
`DocumentRewriteSessionType` `getSessionType()` Returns the type of this session.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DocumentRewriteSession

    protected DocumentRewriteSession​(DocumentRewriteSessionType sessionType)

Prohibit package external object creation.

Parameters:
  `sessionType` - the type of this session

### Method Detail

#### getSessionType

    public DocumentRewriteSessionType getSessionType()

Returns the type of this session.

Returns:
  the type of this session

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`